Piloterr

Google Locations Finder

GET
/v2/finder/google-locations

Search Google-supported locations by name to retrieve location IDs and GPS coordinates for geo-targeted search API calls.

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Restricts your search to locations that contain the supplied string.

Example:

Paris

Note: Searching 'Austin' will find 'Austin, TX', 'The University of Texas at Austin', 'Rochester, MN-Mason City, IA-Austin, MN, United States', etc.

Response Body

Successful response

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.piloterr.com/v2/finder/google-locations?query=string'
Example Response
[  {    "id": "585069a2ee19ad271e9b5052",    "gps": [      -98.936927,      49.951529    ],    "name": "Austin",    "reach": 0,    "google_id": 1001982,    "target_type": "City",    "country_code": "CA",    "canonical_name": "Austin,Manitoba,Canada",    "google_parent_id": 20115  }]